////////////////////////////////////////////////////////////////////////////////
////																		////
//// Z2. Copyright 1997-1999 The Bitmap Brothers Ltd. All rights reserved.  ////
//// This source code may not be redistributed in any form.                 ////
//// $Header:: /PWORK/APPL/PC/z2editor/zedt_sym.h 34    16/10/01 14:08 Br $ ////
////																		////
////////////////////////////////////////////////////////////////////////////////

#pragma once

typedef enum
{
//Level IDs
	zeID_LEVELDATA,
	zeID_WORLDTYPE,
	zeID_MAPSIZE,
	zeID_PLAYERS,
	zeID_MAPNAME,
	zeID_STARTPOSITION,
	zeID_REALMAPDATA,
	zeID_CAMPOS,
	zeID_EDITORDATA,
	zeID_STARTRESOURCE,
	zeID_MAPNUMBER,
	zeID_BLOOM,
	zeID_WATERTURBULENCE,
	zeID_WATERTINT,
	zeID_WATERFOGCOLOUR,
	zeID_PLATEAU,
	zeID_CLIFF,
	zeID_MODELTINT,
	zeID_WATERVELOCITY,
	zeID_WATERSCALE,
	zeID_WATERNORMAL,
	zeID_WATERFOGDEPTH,
//object entry IDs

	zeID_OBJECTLIST,
	zeID_OBJECTENTRY,
	zeID_OBJECTTEAM,
	zeID_SETOBJECTROTATION,
	zeID_SETOBJECTLEVEL,
	zeID_SETOBJECTARMOUR,

//event Entry IDs
	zeID_EVENTLIST,
	zeID_EVENTENTRY,
	zeID_EVENTDESCRIPTION,
	zeID_EVENTCONDITIONOR,
	zeID_EVENTONESHOT,

	zeID_CONDITIONLIST,
	zeID_CONDITION,
	zeID_CONDITIONNAME,
	zeID_CONDITIONPARAMETER,

	zeID_CONDITIONTYPE,
	zeID_ACTIONTYPE,
	zeID_EVENTTYPE,
	zeID_EVENTNAME,

	zeID_OWNERLIST,
	zeID_OWNER,
	zeID_OWNERNNAME, 
	zeID_OWNERTYPE, 
	zeID_OWNERPARAMETER,

	zeID_ACTIONLIST,		
	zeID_ACTION,			
	zeID_ACTIONNAME,		
	zeID_ACTIONPARAMETER,	
//end AS

	zeID_AC_PLAYER_WINS,
	zeID_AC_PLAYER_LOSES,
	zeID_AC_ZERO_TIMER,
	zeID_AC_OBJECT,

//the condition type ids
	zeID_EC_HAS_CASH,
	zeID_EC_HAS_UNIT,
	zeID_EC_HAS_BUILDING,
	zeID_EC_NO_BUILDING,
	zeID_EC_NO_UNIT,
	zeID_EC_TIMER,
	zeID_EC_KILLS,

//zone Entry IDs
	zeID_ZONELIST,
	zeID_ZONEENTRY,
	zeID_ZONEDESCRIPTION,

//brush Entry IDs
	zeID_BRUSHLIST,
	zeID_BRUSHENTRY,
//options	
	zeID_USERCONFIG,
	zeID_TOOLBARS,
	zeID_ON,
	zeID_OFF,
	zeID_ALLOCATED,
	zeID_FLOAT,
	zeID_DOCK,
	zeID_UNIT,
	zeID_BUILDING,
	zeID_HILL,
	zeID_LANDSCAPE,
	zeID_ROAD,
	zeID_MAIN,
	zeID_PERSISTANTOBJECTS,
	zeID_RIGHTCLICKEDIT,
	zeID_LEGALPLACE,
	zeID_AUTOSAVE_TIME,
	zeID_AUTOCORRECT,
	zeID_SHOWGRID,
	zeID_SNAPGRID,
	zeID_GAMMA,
	zeID_OPTIONPATH,
	zeID_LEVELPATH,
	zeID_PUSHSCROLL,
	zeID_SHOW_TNUM,	
	zeID_EASYEDIT,
	zeID_CAMERAFACTORS,
	zeID_PUSHFACTORS,
	zeID_MMTERRITORY,
	zeID_MMZONE,
	zeID_MMUNIT,
	zeID_MMBUILD,
	zeID_MMTERRAIN,
	
	zeID_TOOLBAR,
	zeID_MAINWINDOW,
//territories
	
	zeID_TERRITORYLIST,
	zeID_TERRITORYDIMENSIONS,
	zeID_VIEW,
	zeID_USED,
	zeID_SETOWNER,
	zeID_JOIN,
	zeID_SETFLAGPOS,
	zeID_SETPRIO,
	zeID_SETNAME,
//editor info that goes in level data
	zeID_TERRITORYDISPLAY,

	zeID_PATROLLIST,
	zeID_PATROLPATH,
	zeID_SETWEATHER,
	zeID_SETLIGHTING,
	zeID_SETOBJECTIVE,
	zeID_SETBRIEF,
	zeID_TERRAINSPECIALENTRY,
	zeID_TERRAINOBJECTENTRY,
	zeID_PATROLPATHUNITS,
	zeID_SHOWGO,
//bridges
	zeID_BRIDGELIST,
	zeID_BRIDGEENTRY,
	zeID_POSHRAMPS,
	zeID_MINESONSPECIAL,
	zeID_OBJECTEXTRANAME,
	zeID_DERIVEDOBJECT,
	zeID_MAXHEIGHT,
	zeID_STEPUSED,
	zeID_SMOOTHERS,
	zeID_EMERGENCYBACKUPPATH,
	zeID_MAXTECH,
	zeID_SHEDSLOTENTRY,
	zeID_WATERLEVEL,
	zeID_AUTOFLOOD,
//walls
	zeID_WALLLIST,
	zeID_WALLENTRY,
	zeID_WALLNAME,
	zeID_WALLSECTION,
	zeID_WALLSEGMENTS,
//wall section IDS
	zeID_WALLCORNER,
	zeID_WALL,
	zeID_WALLGATE,
	zeID_WALLTOWER,
	zeID_WALLDAMAGED,
	zeID_WALLDESTROYED,
// Powerups
	zeID_POWERUPLIST,

	zeID_SHOWCURSORBOX,
	zeID_SHOWRANGE,

	zeID_EDID,
	zeID_GFXPATH,
	zeID_GAMEPATH,
	zeID_PLAYFIELD,
	zeID_NOGOLIST,
	zeID_NOGOENTRY,
	zeID_ROBOTANGLE,
	zeID_VEHICLEANGLE,
	zeID_USERHEIGHTONE,
	zeID_USERHEIGHTTWO,
	zeID_SETOBJECTDESTROYABLE,
	zeID_SETOBJECTHIDDEN,
	zeID_WALLTOWER2,
	zeID_SETWALLOWNER,
	zeID_SETFLAGLEVEL,
	zeID_SETSINKFACTOR,

	//position marker Entry IDs
	zeID_POSITIONLIST,
	zeID_POSITIONENTRY,
	zeID_POSITIONDESCRIPTION,
	zeID_OBJECTPATROLPATHID,
	zeID_USEJMPCAM,
	zeID_COMPLETEOBJECT,
	zeID_WALLDEFTOWER,
	zeID_TEAMALLOCATION,
	zeID_HUMANONLY,	
	zeID_HUMANNONE,
	zeID_HUMANCPU,
	zeID_HUMANCPUNONE,
	zeID_CPUONLY,
	zeID_CPUNONE,
	zeID_NONE,
	zeID_TEAMNAME,
	zeID_TEAMSUSED,

	// extra options

	zeID_SHOWREF,
	zeID_DISTANCEFOGGING,
	zeID_LANDOBJECTSCALE,
	zeID_CAMERALIST,
	zeID_CAMERAENTRY,
	zeID_BRIEFOBJECT,
	zeID_MESSAGELIST,
	zeID_MESSAGEITEM,
	zeID_NOSHIPYARDHAT,

	zeID_IRZONEENTRY,
	zeID_SMOKELIST,
	zeID_SMOKEENTRY,
	zeID_MANMADENTRY,
	zeID_OBJECTPATROLPATHNAME,

	zeID_ONEOBJECTIVE,
	zeID_OBJECTIVELIST,

	zeID_SQUADID
} editorSymbol;

#define zedtSymVersion 28

