//-------------------------------------------------------------
//
//	library:	zrcore
//
//	file:		Script Symbols
//
//	author:		John M Phillips
//
//	version:	30/09/2013 // MSC: added VERTX
//
//-------------------------------------------------------------
// Script symbol id numbers

typedef enum {

	zrID_SCENE,		// this is a comment
	zrID_NAME,
	zrID_TEXTURE,
	zrID_MATERIAL,
	zrID_MESH,
	zrID_VERTEX,
	zrID_TRIANGLE,
	zrID_FILE,
	zrID_GEOMETRY,
	zrID_POINTCLOUD,
	zrID_WIREFRAME,
	zrID_SOLID,
	zrID_TEXTURING,
	zrID_OFF,
	zrID_BILINEAR,
	zrID_PERSPECTIVE,
	zrID_SHADING,
	zrID_FLAT,
	zrID_GOURAUD,
	zrID_MASKING,
	zrID_ON,
	zrID_ALPHA,
	zrID_CLAMP,
	zrID_ENVMAP,
	zrID_FOGGING,
	zrID_COLOUR,
	zrID_OPACITY,
	zrID_AMBIENT,
	zrID_DIFFUSE,
	zrID_SPECULAR,
	zrID_HIGHLIGHT,
	zrID_SIDES,
	zrID_MASK,
	zrID_FPS,
	zrID_SIZE,
	zrID_FLAG,
	zrID_SHOWFACENORMALS,
	zrID_SHOWVERTEXNORMALS,
	zrID_EDITEDNORMALS,
	zrID_EDITEDCOLOURS,
	zrID_OBJECT,
	zrID_PART,
	zrID_ARRAY,
	zrID_PARENT,
	zrID_SPACING,
	zrID_CAMERA,
	zrID_NEARZ,
	zrID_FARZ,
	zrID_FOV,
	zrID_ZOOM,
	zrID_TYPE,
	zrID_PARALLEL,
	zrID_GROUP,
	zrID_LIGHT,
	zrID_POINT,
	zrID_DIRECT,
	zrID_SPOT,
	zrID_SUPERSPOT,
	zrID_MULTIPLIER,
	zrID_CONE,
	zrID_RANGE,
	zrID_STATE,
	zrID_SPINNER,
	zrID_AXIS,
	zrID_X,
	zrID_Y,
	zrID_Z,
	zrID_MIN,
	zrID_MAX,
	zrID_TIME,
	zrID_PLAYER,
	zrID_MODE,
	zrID_WALKING,
	zrID_FLYING,
	zrID_MOVESPEED,
	zrID_MOVEACCEL,
	zrID_TURNSPEED,
	zrID_TURNACCEL,
	zrID_RUNSPEED,
	zrID_JUMPHEIGHT,
	zrID_JUMPDISTANCE,
	zrID_NODE,
	zrID_PIVOTTRANSLATE,
	zrID_PIVOTROTATE,
	zrID_PIVOTSCALE,
	zrID_MODELTRANSLATE,
	zrID_MODELROTATE,
	zrID_MODELSCALE,
	zrID_ANIMATOR,
	zrID_START,
	zrID_END,
	zrID_FORWARD,
	zrID_REVERSE,
	zrID_PINGPONG,
	zrID_ONESHOT,
	zrID_FOGMODE,
	zrID_FOGCOLOUR,
	zrID_FOGDISTANCE,
	zrID_FOGDENSITY,
	zrID_FOGNEARZ,
	zrID_FOGFARZ,
	zrID_SLIDER,
	zrID_EXPLOSION,
	zrID_PATH,
	zrID_INSTANCE,
	zrID_OPTION,
	zrID_SHOWBOUNDS,
	zrID_FOLLOWCAMERA,
	zrID_LOCKTRANSLATION,
	zrID_LOCKROTATION,
	zrID_EDITOR,
	zrID_GRIDMODE,
	zrID_GRIDCOLOURS,
	zrID_GRIDSPACING,
	zrID_GRIDSNAP,
	zrID_SHOWHEIGHTLINE,
	zrID_MAP,
	zrID_DIMENSION,
	zrID_IMAGEDIM,
	zrID_SKYBOX,
	zrID_RADIUS,
	zrID_FRONT,
	zrID_BACK,
	zrID_LEFT,
	zrID_RIGHT,
	zrID_UP,
	zrID_DOWN,
	zrID_BRUSH,
	zrID_HILL,
	zrID_PYRAMID,
	zrID_CUSTOM,
	zrID_ADD,
	zrID_SUBTRACT,
	zrID_OVERLAY,
	zrID_HEIGHTOFFSET,
	zrID_HEIGHTRANGE,
	zrID_HEIGHTMAPFILE,
	zrID_IMAGEFILE,
	zrID_TILING,
	zrID_HIDEBRUSHES,
	zrID_SHOWERRORMETRICS,
	zrID_ERRORTHRESHOLD,
	zrID_OPTIMIZE,
	zrID_SHOWMINIMAP,
	zrID_PICKABLE,
	zrID_EXPANDED,
	zrID_TEXTURE2,
	zrID_QUICKDRAW,
	zrID_HIDDEN,
	zrID_PARTICLESYSTEM,
	zrID_PLAYAREA,
	zrID_LODSCALE,
	zrID_NOFARCLIP,
	zrID_SELECTIONBOX,
	zrID_PARTICLEEMITTER,
	zrID_RATE,
	zrID_SHAPE,
	zrID_BOX,
	zrID_SPHERE,
	zrID_PLACEMENT,
	zrID_VOLUME,
	zrID_SURFACE,
	zrID_DIRECTION,
	zrID_DIRECTED,
	zrID_RADIAL,
	zrID_SCALE,
	zrID_VELOCITY,
	zrID_ACCELERATION,
	zrID_LIFETIME,
	zrID_QUAD,
	zrID_WIREFRAMEHSR,
	zrID_SPRITE,
	zrID_CENTRE,
	zrID_UV,
	zrID_BILLBOARDMODE,
	zrID_VERTICAL,
	zrID_HIDEDUMMY,
	zrID_GRADIENT,
	zrID_COLOURINDEXED,
	zrID_NOISE,
	zrID_DEFORMER,
	zrID_DURATION,
	zrID_UPDATEMODE,
	zrID_CONTINUOUS,
	zrID_EVERYNFRAMES,
	zrID_FRAMELIMITED,
	zrID_FRAMESTEP,
	zrID_FRAMERATE,
	zrID_WATER,
	zrID_STATIC,
	zrID_DEBUG,
	zrID_LIT,
	zrID_TARGET,
	zrID_FOLLOWHEIGHT,
	zrID_FOLLOWGRADIENT,
	zrID_ALTITUDE,
	zrID_SWITCH,
	zrID_MANUAL,
	zrID_CYCLIC,
	zrID_LOD,
	zrID_WAYPOINT,
	zrID_COLLISIONMASKS,
	zrID_NORMAL,
	zrID_SQUARE,
	zrID_CIRCLE,
	zrID_PARTICLEFORCE,
	zrID_WIND,
	zrID_MAGNET,
	zrID_DEFLECTOR,
	zrID_BOMB,
	zrID_STRENGTH,
	zrID_EDITEDALPHA,
	zrID_TILEDMAP,
	zrID_LIGHTMAP,
	zrID_REFLECTIONS,
	zrID_RENDERINFO,
	zrID_FRAMES,
	zrID_TRANSLATION,
	zrID_ROTATION,
	zrID_PIVOT,
	zrID_USEFACEUV,
	zrID_SIZEVFT,
	zrID_VERT,
	zrID_TVERT,
	zrID_FACE,
	zrID_KEYFRAMER,
	zrID_HEIGHTROW,
	zrID_LAYER,
	zrID_MARKER,
	zrID_FOG,
	zrID_TILEDIM,
	zrID_HEIGHT,
	zrID_TILEROW,
	zrID_BLENDROW,
	zrID_NUMLAYERS,
	zrID_VISIBLE,
	zrID_CUBE,
	zrID_FACING,
	zrID_RENDERMODE,
	zrID_AMBIENTCOLOUR,
	zrID_DUMMY,
	zrID_FOLLOW,
	zrID_BANK,
	zrID_SPLINE,
	zrID_CHAOS,
	zrID_GRAVITY,
	zrID_SPIN,
	zrID_FADE,
	zrID_DONTFRAGMENT,
	zrID_GLOW,
	zrID_SELFILLUMINATION,
	zrID_ANIMATED,
	zrID_DELAY,
	zrID_WATERROW,
	zrID_PHYSICS,
	zrID_MASS,
	zrID_FREE,
	zrID_BOUNCE,
	zrID_ACTIVE,
	zrID_FRAMELIST,
	zrID_FRICTION,
	zrID_SINE,
	zrID_MORPH,
	zrID_SCALER,
	zrID_FORCE,
	zrID_EMITTER,
	zrID_PHASE,
	zrID_TURNROW,
	zrID_ATTENUATION,
	zrID_LOCAL,
	zrID_COLLISION,
	zrID_DIE,
	zrID_REBOUND,
	zrID_RENDERSHAPE,
	zrID_DOT,
	zrID_TICK,
	zrID_CLUSTER,
	zrID_CYLINDER,
	zrID_SPAWNAMOUNT,
	zrID_SPAWNDELAY,
	zrID_SPAWN,
	zrID_VARIATION,
	zrID_STEP,
	zrID_TILE,
	zrID_MODULATION,
	zrID_AFFECT,
	zrID_GLOBAL,
	zrID_ATTRIBUTESTEP,
	zrID_ATTRIBUTESEQ,
	zrID_TRAIL,
	zrID_EXPLODER,
	zrID_DISC,
	zrID_ANGLE,
	zrID_PLANE,
	zrID_TWOSIDED,
	zrID_DENSITY,
	zrID_REBOUNDS,
	zrID_CYCLE,
	zrID_GENERATION,
	zrID_RANDOM,
	zrID_REPEAT,
	zrID_PALETTE,
	zrID_SECTORS,
	zrID_SHADOW,
	zrID_TERRITORY,
	zrID_LENSFLARE,
	zrID_BEAM,
	zrID_EFFECT,
	zrID_IN,
	zrID_OUT,
	zrID_SHORT,
	zrID_LONG,
	zrID_FLICKER,
	zrID_DAMPING,
	zrID_SEED,
	zrID_UNIFORM,
	zrID_BOUYANCY,
	zrID_TRAILGEN,
	zrID_STRIP,
	zrID_TAPER,
	zrID_SPLIT,
	zrID_BRIDGE,
	zrID_TRAILSIZE,
	zrID_NIGHT,
	zrID_UPDATE,
	zrID_KEYFRAMELIST,
	zrID_KEYFRAMESEQ,
	zrID_FRAME,
	zrID_LOOP,
	zrID_MAPSHADOW,
	zrID_TRI,
	zrID_TODSETTINGS,
	zrID_TERRAINROW,
	zrID_AUTOTILED,
	zrID_COLOURROW,
	zrID_NOAUTOBLEND,
	zrID_MULTITEXTURE,
	zrID_DIFFUSECOLOUR,
	zrID_SPECULARCOLOUR,
	zrID_SHADOWROW,
	zrID_INVERTPLANE,
	zrID_DETAIL,
	zrID_FLAMEGEN,
	zrID_BIAS,
	zrID_KFLCOUNT,
	zrID_KFLTRANS,
	zrID_COLLISIONMETHOD,
	zrID_NOZBUFFER,
	zrID_LODMAP,
	zrID_WEATHERSYSTEM,
	zrID_RIPPLE,
	zrID_AMPLITUDE,
	zrID_WAVELENGTH,
	zrID_DECAY,
	zrID_CULLING,
	zrID_ARTIST,
	zrID_NEWMESH,
	zrID_DETAILLIST,
	zrID_TRIGGER,
	zrID_DATABASE,
	zrID_DBENTRY,
	zrID_DBENTRYCACHENUM,
	zrID_MOVIE,
	zrID_SPRITEBATCH,
	zrID_EDITEDTANGENTS,
	zrID_SKIN,
	zrID_NVERT,
	zrID_NFACELIST,
	zrID_ONFAST,
	zrID_SPRITESHOT,
} zrSymbol;

#define zrSymbolVersion 22

//-------------------------------------------------------------
